
Colony - Enhancement #856

Makefile Update

10/30/2009 04:58 PM - Dan Shope

Status: Fixed Start date: 10/30/2009

Priority: Normal Due date:  

Assignee: David Schultz % Done: 100%

Category: Library Estimated time: 2.00 hours

Target version:    

Description

Strip out common Makefile configs and put into top level Makefile

Individual makefiles should include this top level Makefile

History

#1 - 11/02/2009 11:19 PM - David Schultz

- Assignee changed from Brad Neuman to David Schultz

- % Done changed from 0 to 90

Done for makefile in trunk/code/projects/test

If this works for everyone, we can change all the makefiles.

#2 - 11/05/2009 02:24 PM - David Schultz

- Estimated time set to 2.00 h

Added ability to rebuild the library automatically if it is ever updated, or you can force the rebuild of the library if necessary.

#3 - 11/08/2009 02:35 PM - David Schultz

Moved to wireless branch.  Added recursive system, so you just have to copy the makefile from the higher level folder into the current folder, and

possibly change the port setting.  Colonyroot is automatically determined.

Is there a way to autodetermine the port the robot is on?

#4 - 11/27/2009 12:57 PM - David Schultz

- % Done changed from 90 to 100

#5 - 11/27/2009 12:57 PM - David Schultz

- Status changed from Assigned to Fixed
